## org.codehaus.groovy.ast.stmt
Class AssertStatement

Represents an assert statement such as `assert i != 0 : "should never be zero";`

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`BooleanExpression` | `booleanExpression`
`Expression` | `messageExpression`

Constructor Summary
`AssertStatement(BooleanExpression booleanExpression)`
`AssertStatement(BooleanExpression booleanExpression, Expression messageExpression)`

Method Summary
`BooleanExpression` | `getBooleanExpression()`
`Expression` | `getMessageExpression()`
`void` | `setBooleanExpression(BooleanExpression booleanExpression)`
`void` | `setMessageExpression(Expression messageExpression)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### AssertStatement

    public AssertStatement(BooleanExpression booleanExpression)

### AssertStatement

    public AssertStatement(BooleanExpression booleanExpression, Expression messageExpression)

Method Detail

### getBooleanExpression

    public BooleanExpression getBooleanExpression()

### getMessageExpression

    public Expression getMessageExpression()

### setBooleanExpression

    public void setBooleanExpression(BooleanExpression booleanExpression)

### setMessageExpression

    public void setMessageExpression(Expression messageExpression)

### visit

    public void visit(GroovyCodeVisitor visitor)